Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class AbstractSAXPullParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLPullParser
          weblogic.apache.xerces.parsers.AbstractXMLDocumentPullParser
              weblogic.apache.xerces.parsers.AbstractSAXPullParser

All Implemented Interfaces:
  Parser, XMLReader, weblogic.apache.xerces.impl.xs.psvi.PSVIProvider, XMLDocumentHandler, XMLDTDContentModelHandler, XMLDTDHandler

Direct Known Subclasses:
  SAXPullParser

Deprecated. please use JDK supplied XML parsers and transformers

    public abstract class AbstractSAXPullParser

extends AbstractXMLDocumentPullParser
implements weblogic.apache.xerces.impl.xs.psvi.PSVIProvider, Parser, XMLReader

This is the base class of all SAX parsers. It implements both the SAX1 and SAX2 parser functionality, while the actual pipeline is defined in the parser configuration.

Nested Class Summary
`protected static class` | `AbstractSAXPullParser.AttributesProxy` Deprecated.
`protected static class` | `AbstractSAXPullParser.LocatorProxy` Deprecated.

Field Summary
`protected static String` | `DECLARATION_HANDLER` Deprecated. Property id: declaration handler.
`protected static String` | `DOM_NODE` Deprecated. Property id: DOM node.
`protected ContentHandler` | `fContentHandler` Deprecated. Content handler.
`protected DeclHandler` | `fDeclHandler` Deprecated. Decl handler.
`protected DocumentHandler` | `fDocumentHandler` Deprecated. Document handler.
`protected DTDHandler` | `fDTDHandler` Deprecated. DTD handler.
`protected LexicalHandler` | `fLexicalHandler` Deprecated. Lexical handler.
`protected boolean` | `fNamespacePrefixes` Deprecated. Namespace prefixes.
`protected boolean` | `fNamespaces` Deprecated. Namespaces.
`protected boolean` | `fNormalizeData` Deprecated. Expose XML Schema schema_normalize_values via DOM
`protected boolean` | `fParseInProgress` Deprecated. True if a parse is in progress.
`protected QName` | `fQName` Deprecated.
`protected static String` | `LEXICAL_HANDLER` Deprecated. Property id: lexical handler.
`protected static String` | `NAMESPACE_PREFIXES` Deprecated. Feature identifier: namespace prefixes.
`protected static String` | `NAMESPACES` Deprecated. Feature identifier: namespaces.
`protected static String` | `NORMALIZE_DATA` Deprecated. Expose XML Schema normalize value
`protected static String` | `STRING_INTERNING` Deprecated. Feature id: string interning.

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentPullParser
`fDocumentSource, fInDTD`

Fields inherited from class weblogic.apache.xerces.parsers.XMLPullParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`protected` | `AbstractSAXPullParser(XMLPullParserConfiguration config)` Deprecated. Default constructor.

Method Summary
`void` | `attributeDecl(String elementName, String attributeName, String type, String[] enumeration, String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augs)` Deprecated. An attribute declaration.
`void` | `characters(XMLString text, Augmentations augs)` Deprecated. Character content.
`void` | `comment(XMLString text, Augmentations augs)` Deprecated. A comment.
`void` | `doctypeDecl(String rootElement, String publicId, String systemId, Augmentations augs)` Deprecated. Notifies of the presence of the DOCTYPE line in the document.
`void` | `elementDecl(String name, String contentModel, Augmentations augs)` Deprecated. An element declaration.
`void` | `endCDATA(Augmentations augs)` Deprecated. The end of a CDATA section.
`void` | `endDocument(Augmentations augs)` Deprecated. The end of the document.
`void` | `endDTD(Augmentations augs)` Deprecated. The end of the DTD.
`void` | `endElement(QName element, Augmentations augs)` Deprecated. The end of an element.
`void` | `endExternalSubset(Augmentations augs)` Deprecated. The end of the DTD external subset.
`void` | `endGeneralEntity(String name, Augmentations augs)` Deprecated. This method notifies the end of an entity.
`void` | `endParameterEntity(String name, Augmentations augs)` Deprecated. This method notifies the end of an entity.
`void` | `endPrefixMapping(String prefix, Augmentations augs)` Deprecated. The end of a namespace prefix mapping.
`void` | `externalEntityDecl(String name, XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. An external entity declaration.
`AttributePSVI` | `getAttributePSVI(int index)` Deprecated.
`AttributePSVI` | `getAttributePSVIByName(String uri, String localname)` Deprecated.
`ContentHandler` | `getContentHandler()` Deprecated. Return the current content handler.
`protected DeclHandler` | `getDeclHandler()` Deprecated. Returns the DTD declaration event handler.
`DTDHandler` | `getDTDHandler()` Deprecated. Return the current DTD handler.
`ElementPSVI` | `getElementPSVI()` Deprecated.
`EntityResolver` | `getEntityResolver()` Deprecated. Return the current entity resolver.
`ErrorHandler` | `getErrorHandler()` Deprecated. Return the current error handler.
`boolean` | `getFeature(String featureId)` Deprecated. Query the state of a feature.
`protected LexicalHandler` | `getLexicalHandler()` Deprecated. Returns the lexical handler.
`Object` | `getProperty(String propertyId)` Deprecated. Query the value of a property.
`void` | `ignorableWhitespace(XMLString text, Augmentations augs)` Deprecated. Ignorable whitespace.
`void` | `internalEntityDecl(String name, XMLString text, XMLString nonNormalizedText, Augmentations augs)` Deprecated. An internal entity declaration.
`void` | `notationDecl(String name, XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. A notation declaration
`void` | `parse(InputSource inputSource)` Deprecated. parse
`void` | `parse(String systemId)` Deprecated. Parses the input source specified by the given system identifier.
`void` | `processingInstruction(String target, XMLString data, Augmentations augs)` Deprecated. A processing instruction.
`void` | `reset()` Deprecated. Reset all components before parsing.
`void` | `setContentHandler(ContentHandler contentHandler)` Deprecated. Allow an application to register a content event handler.
`protected void` | `setDeclHandler(DeclHandler handler)` Deprecated. Set the DTD declaration event handler.
`void` | `setDocumentHandler(DocumentHandler documentHandler)` Deprecated. Allow an application to register a document event handler.
`void` | `setDTDHandler(DTDHandler dtdHandler)` Deprecated. Allow an application to register a DTD event handler.
`void` | `setEntityResolver(EntityResolver resolver)` Deprecated. Sets the resolver used to resolve external entities.
`void` | `setErrorHandler(ErrorHandler errorHandler)` Deprecated. Allow an application to register an error event handler.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Set the state of any feature in a SAX2 parser.
`protected void` | `setLexicalHandler(LexicalHandler handler)` Deprecated. Set the lexical event handler.
`void` | `setLocale(Locale locale)` Deprecated. Set the locale to use for messages.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Set the value of any property in a SAX2 parser.
`void` | `startCDATA(Augmentations augs)` Deprecated. The start of a CDATA section.
`void` | `startDocument(XMLLocator locator, String encoding, Augmentations augs)` Deprecated. The start of the document.
`void` | `startElement(QName element, XMLAttributes attributes, Augmentations augs)` Deprecated. The start of an element.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. The start of the DTD external subset.
`void` | `startGeneralEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augs)` Deprecated. This method notifies of the start of an entity.
`void` | `startParameterEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augs)` Deprecated. This method notifies of the start of parameter entity.
`void` | `startPrefixMapping(String prefix, String uri, Augmentations augs)` Deprecated. The start of a namespace prefix mapping.
`void` | `unparsedEntityDecl(String name, XMLResourceIdentifier identifier, String notation, Augmentations augs)` Deprecated. An unparsed entity declaration.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentPullParser
`any, element, empty, emptyElement, endAttlist, endConditional, endContentModel, endGroup, getDocumentSource, ignoredCharacters, occurrence, pcdata, separator, setDocumentSource, startAttlist, startConditional, startContentModel, startDTD, startGroup, textDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.XMLPullParser
`parse, parse, setInputSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACES

    protected static final String NAMESPACES

  Deprecated.
  Feature identifier: namespaces.

  See Also:
    Constant Field Values

### NAMESPACE_PREFIXES

    protected static final String NAMESPACE_PREFIXES

  Deprecated.
  Feature identifier: namespace prefixes.

  See Also:
    Constant Field Values

### NORMALIZE_DATA

    protected static final String NORMALIZE_DATA

  Deprecated.
  Expose XML Schema normalize value

  See Also:
    Constant Field Values

### STRING_INTERNING

    protected static final String STRING_INTERNING

  Deprecated.
  Feature id: string interning.

  See Also:
    Constant Field Values

### LEXICAL_HANDLER

    protected static final String LEXICAL_HANDLER

  Deprecated.
  Property id: lexical handler.

  See Also:
    Constant Field Values

### DECLARATION_HANDLER

    protected static final String DECLARATION_HANDLER

  Deprecated.
  Property id: declaration handler.

  See Also:
    Constant Field Values

### DOM_NODE

    protected static final String DOM_NODE

  Deprecated.
  Property id: DOM node.

  See Also:
    Constant Field Values

### fNamespaces

    protected boolean fNamespaces

  Deprecated.
  Namespaces.

### fNamespacePrefixes

    protected boolean fNamespacePrefixes

  Deprecated.
  Namespace prefixes.

### fNormalizeData

    protected boolean fNormalizeData

  Deprecated.
  Expose XML Schema schema_normalize_values via DOM

### fContentHandler

    protected ContentHandler fContentHandler

  Deprecated.
  Content handler.

### fDocumentHandler

    protected DocumentHandler fDocumentHandler

  Deprecated.
  Document handler.

### fDTDHandler

    protected DTDHandler fDTDHandler

  Deprecated.
  DTD handler.

### fDeclHandler

    protected DeclHandler fDeclHandler

  Deprecated.
  Decl handler.

### fLexicalHandler

    protected LexicalHandler fLexicalHandler

  Deprecated.
  Lexical handler.

### fQName

    protected QName fQName

  Deprecated.

### fParseInProgress

    protected boolean fParseInProgress

  Deprecated.
  True if a parse is in progress. This state is needed because some features/properties cannot be set while parsing (e.g. validation and namespaces).

Constructor Detail

### AbstractSAXPullParser

    protected AbstractSAXPullParser(XMLPullParserConfiguration config)

  Deprecated.
  Default constructor.

Method Detail

### startDocument

    public void startDocument(XMLLocator locator,
                              String encoding,
                              Augmentations augs)
                       throws XNIException

  Deprecated.
  The start of the document.

  Specified by:
    `startDocument` in interface `XMLDocumentHandler`
  Overrides:
    `startDocument` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of this document. However, it is strongly recommended that a locator be supplied that can at least report the system identifier of the document.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### doctypeDecl

    public void doctypeDecl(String rootElement,
                            String publicId,
                            String systemId,
                            Augmentations augs)
                     throws XNIException

  Deprecated.
  Notifies of the presence of the DOCTYPE line in the document.

  Specified by:
    `doctypeDecl` in interface `XMLDocumentHandler`
  Overrides:
    `doctypeDecl` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `rootElement` - The name of the root element.
    `publicId` - The public identifier if an external DTD or null if the external DTD is specified using SYSTEM.
    `systemId` - The system identifier if an external DTD, null otherwise.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startGeneralEntity

    public void startGeneralEntity(String name,
                                   XMLResourceIdentifier identifier,
                                   String encoding,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the start of the document entity by calling the startEntity method with the entity name "[xml]" before calling the startDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `startGeneralEntity` in interface `XMLDocumentHandler`
  Overrides:
    `startGeneralEntity` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endGeneralEntity

    public void endGeneralEntity(String name,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the end of the document entity by calling the endEntity method with the entity name "[xml]" after calling the endDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `endGeneralEntity` in interface `XMLDocumentHandler`
  Overrides:
    `endGeneralEntity` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  The start of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Specified by:
    `startPrefixMapping` in interface `XMLDocumentHandler`
  Overrides:
    `startPrefixMapping` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `prefix` - The namespace prefix.
    `uri` - The URI bound to the prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startElement

    public void startElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  The start of an element. If the document specifies the start element by using an empty tag, then the startElement method will immediately be followed by the endElement method, with no intervening methods.

  Specified by:
    `startElement` in interface `XMLDocumentHandler`
  Overrides:
    `startElement` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### characters

    public void characters(XMLString text,
                           Augmentations augs)
                    throws XNIException

  Deprecated.
  Character content.

  Specified by:
    `characters` in interface `XMLDocumentHandler`
  Overrides:
    `characters` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `text` - The content.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### ignorableWhitespace

    public void ignorableWhitespace(XMLString text,
                                    Augmentations augs)
                             throws XNIException

  Deprecated.
  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.

  Specified by:
    `ignorableWhitespace` in interface `XMLDocumentHandler`
  Overrides:
    `ignorableWhitespace` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `text` - The ignorable whitespace.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endElement

    public void endElement(QName element,
                           Augmentations augs)
                    throws XNIException

  Deprecated.
  The end of an element.

  Specified by:
    `endElement` in interface `XMLDocumentHandler`
  Overrides:
    `endElement` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `element` - The name of the element.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endPrefixMapping

    public void endPrefixMapping(String prefix,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  The end of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Specified by:
    `endPrefixMapping` in interface `XMLDocumentHandler`
  Overrides:
    `endPrefixMapping` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `prefix` - The namespace prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startCDATA

    public void startCDATA(Augmentations augs)
                    throws XNIException

  Deprecated.
  The start of a CDATA section.

  Specified by:
    `startCDATA` in interface `XMLDocumentHandler`
  Overrides:
    `startCDATA` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endCDATA

    public void endCDATA(Augmentations augs)
                  throws XNIException

  Deprecated.
  The end of a CDATA section.

  Specified by:
    `endCDATA` in interface `XMLDocumentHandler`
  Overrides:
    `endCDATA` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augs)
                 throws XNIException

  Deprecated.
  A comment.

  Specified by:
    `comment` in interface `XMLDocumentHandler`
  Specified by:
    `comment` in interface `XMLDTDHandler`
  Overrides:
    `comment` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(String target,
                                      XMLString data,
                                      Augmentations augs)
                               throws XNIException

  Deprecated.
  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Specified by:
    `processingInstruction` in interface `XMLDocumentHandler`
  Specified by:
    `processingInstruction` in interface `XMLDTDHandler`
  Overrides:
    `processingInstruction` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDocument

    public void endDocument(Augmentations augs)
                     throws XNIException

  Deprecated.
  The end of the document.

  Specified by:
    `endDocument` in interface `XMLDocumentHandler`
  Overrides:
    `endDocument` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startExternalSubset

    public void startExternalSubset(XMLResourceIdentifier identifier,
                                    Augmentations augs)
                             throws XNIException

  Deprecated.
  The start of the DTD external subset.

  Specified by:
    `startExternalSubset` in interface `XMLDTDHandler`
  Overrides:
    `startExternalSubset` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
    `identifier` - The resource identifier.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endExternalSubset

    public void endExternalSubset(Augmentations augs)
                           throws XNIException

  Deprecated.
  The end of the DTD external subset.

  Specified by:
    `endExternalSubset` in interface `XMLDTDHandler`
  Overrides:
    `endExternalSubset` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startParameterEntity

    public void startParameterEntity(String name,
                                     XMLResourceIdentifier identifier,
                                     String encoding,
                                     Augmentations augs)
                              throws XNIException

  Deprecated.
  This method notifies of the start of parameter entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the start of the document entity by calling the startEntity method with the entity name "[xml]" before calling the startDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `startParameterEntity` in interface `XMLDTDHandler`
  Overrides:
    `startParameterEntity` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endParameterEntity

    public void endParameterEntity(String name,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the end of the document entity by calling the endEntity method with the entity name "[xml]" after calling the endDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `endParameterEntity` in interface `XMLDTDHandler`
  Overrides:
    `endParameterEntity` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the parameter entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### elementDecl

    public void elementDecl(String name,
                            String contentModel,
                            Augmentations augs)
                     throws XNIException

  Deprecated.
  An element declaration.

  Specified by:
    `elementDecl` in interface `XMLDTDHandler`
  Overrides:
    `elementDecl` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### attributeDecl

    public void attributeDecl(String elementName,
                              String attributeName,
                              String type,
                              String[] enumeration,
                              String defaultType,
                              XMLString defaultValue,
                              XMLString nonNormalizedDefaultValue,
                              Augmentations augs)
                       throws XNIException

  Deprecated.
  An attribute declaration.

  Specified by:
    `attributeDecl` in interface `XMLDTDHandler`
  Overrides:
    `attributeDecl` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION" or "NOTATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### internalEntityDecl

    public void internalEntityDecl(String name,
                                   XMLString text,
                                   XMLString nonNormalizedText,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An internal entity declaration.

  Specified by:
    `internalEntityDecl` in interface `XMLDTDHandler`
  Overrides:
    `internalEntityDecl` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### externalEntityDecl

    public void externalEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An external entity declaration.

  Specified by:
    `externalEntityDecl` in interface `XMLDTDHandler`
  Overrides:
    `externalEntityDecl` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### unparsedEntityDecl

    public void unparsedEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   String notation,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An unparsed entity declaration.

  Specified by:
    `unparsedEntityDecl` in interface `XMLDTDHandler`
  Overrides:
    `unparsedEntityDecl` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this entity.
    `notation` - The name of the notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### notationDecl

    public void notationDecl(String name,
                             XMLResourceIdentifier identifier,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  A notation declaration

  Specified by:
    `notationDecl` in interface `XMLDTDHandler`
  Overrides:
    `notationDecl` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDTD

    public void endDTD(Augmentations augs)
                throws XNIException

  Deprecated.
  The end of the DTD.

  Specified by:
    `endDTD` in interface `XMLDTDHandler`
  Overrides:
    `endDTD` in class `AbstractXMLDocumentPullParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### parse

    public void parse(String systemId)
               throws SAXException,
                      IOException

  Deprecated.
  Parses the input source specified by the given system identifier.

  This method is equivalent to the following:

           parse(new InputSource(systemId));

  Specified by:
    `parse` in interface `Parser`
  Specified by:
    `parse` in interface `XMLReader`
  Parameters:
    `source` - The input source.
  Throws:
    `SAXException` - Throws exception on SAX error.
    `IOException` - Throws exception on i/o error.

### parse

    public void parse(InputSource inputSource)
               throws SAXException,
                      IOException

  Deprecated.
  parse

  Specified by:
    `parse` in interface `Parser`
  Specified by:
    `parse` in interface `XMLReader`
  Parameters:
    `inputSource` -
  Throws:
    `SAXException`
    `IOException`

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  Deprecated.
  Sets the resolver used to resolve external entities. The EntityResolver interface supports resolution of public and system identifiers.

  Specified by:
    `setEntityResolver` in interface `Parser`
  Specified by:
    `setEntityResolver` in interface `XMLReader`
  Parameters:
    `resolver` - The new entity resolver. Passing a null value will uninstall the currently installed resolver.

### getEntityResolver

    public EntityResolver getEntityResolver()

  Deprecated.
  Return the current entity resolver.

  Specified by:
    `getEntityResolver` in interface `XMLReader`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `AbstractSAXPullParser.setEntityResolver(org.xml.sax.EntityResolver)`

### setErrorHandler

    public void setErrorHandler(ErrorHandler errorHandler)

  Deprecated.
  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `Parser`
  Specified by:
    `setErrorHandler` in interface `XMLReader`
  Parameters:
    `errorHandler` - The error handler.
  Throws:
    `NullPointerException` - If the handler argument is null.
  See Also:
    `AbstractSAXPullParser.getErrorHandler()`

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Deprecated.
  Return the current error handler.

  Specified by:
    `getErrorHandler` in interface `XMLReader`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `AbstractSAXPullParser.setErrorHandler(org.xml.sax.ErrorHandler)`

### setLocale

    public void setLocale(Locale locale)
                   throws SAXException

  Deprecated.
  Set the locale to use for messages.

  Specified by:
    `setLocale` in interface `Parser`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `SAXException` - An exception thrown if the parser does not support the specified locale.
  See Also:
    `Parser`

### setDTDHandler

    public void setDTDHandler(DTDHandler dtdHandler)

  Deprecated.
  Allow an application to register a DTD event handler.

  If the application does not register a DTD handler, all DTD events reported by the SAX parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setDTDHandler` in interface `Parser`
  Specified by:
    `setDTDHandler` in interface `XMLReader`
  Parameters:
    `dtdHandler` - The DTD handler.
  Throws:
    `NullPointerException` - If the handler argument is null.
  See Also:
    `AbstractSAXPullParser.getDTDHandler()`

### setDocumentHandler

    public void setDocumentHandler(DocumentHandler documentHandler)

  Deprecated.
  Allow an application to register a document event handler.

  If the application does not register a document handler, all document events reported by the SAX parser will be silently ignored (this is the default behaviour implemented by HandlerBase).

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setDocumentHandler` in interface `Parser`
  Parameters:
    `documentHandler` - The document handler.

### setContentHandler

    public void setContentHandler(ContentHandler contentHandler)

  Deprecated.
  Allow an application to register a content event handler.

  If the application does not register a content handler, all content events reported by the SAX parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setContentHandler` in interface `XMLReader`
  Parameters:
    `contentHandler` - The content handler.
  Throws:
    `NullPointerException` - If the handler argument is null.
  See Also:
    `AbstractSAXPullParser.getContentHandler()`

### getContentHandler

    public ContentHandler getContentHandler()

  Deprecated.
  Return the current content handler.

  Specified by:
    `getContentHandler` in interface `XMLReader`
  Returns:
    The current content handler, or null if none has been registered.
  See Also:
    `AbstractSAXPullParser.setContentHandler(org.xml.sax.ContentHandler)`

### getDTDHandler

    public DTDHandler getDTDHandler()

  Deprecated.
  Return the current DTD handler.

  Specified by:
    `getDTDHandler` in interface `XMLReader`
  Returns:
    The current DTD handler, or null if none has been registered.
  See Also:
    `AbstractSAXPullParser.setDTDHandler(org.xml.sax.DTDHandler)`

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  Deprecated.
  Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.

  Specified by:
    `setFeature` in interface `XMLReader`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `SAXNotRecognizedException` - If the requested feature is not known.
    `SAXNotSupportedException` - If the requested feature is known, but the requested state is not supported.

### getFeature

    public boolean getFeature(String featureId)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Deprecated.
  Query the state of a feature. Query the current state of any feature in a SAX2 parser. The parser might not recognize the feature.

  Specified by:
    `getFeature` in interface `XMLReader`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature being set.
  Returns:
    The current state of the feature.
  Throws:
    `SAXNotRecognizedException` - If the requested feature is not known.
    `SAXNotSupportedException` - If the requested feature is known but not supported.

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Deprecated.
  Set the value of any property in a SAX2 parser. The parser might not recognize the property, and if it does recognize it, it might not support the requested value.

  Specified by:
    `setProperty` in interface `XMLReader`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
    `Object` - The value to which the property is being set.
  Throws:
    `SAXNotRecognizedException` - If the requested property is not known.
    `SAXNotSupportedException` - If the requested property is known, but the requested value is not supported.

### getProperty

    public Object getProperty(String propertyId)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Deprecated.
  Query the value of a property. Return the current value of a property in a SAX2 parser. The parser might not recognize the property.

  Specified by:
    `getProperty` in interface `XMLReader`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Returns:
    The current value of the property.
  Throws:
    `SAXNotRecognizedException` - If the requested property is not known.
    `SAXNotSupportedException` - If the requested property is known but not supported.

### setDeclHandler

    protected void setDeclHandler(DeclHandler handler)
                           throws SAXNotRecognizedException,
                                  SAXNotSupportedException

  Deprecated.
  Set the DTD declaration event handler.

  This method is the equivalent to the property:

       http://xml.org/sax/properties/declaration-handler

  Parameters:
    `handler` - The new handler.
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`
  See Also:
    `AbstractSAXPullParser.getDeclHandler()`, `AbstractSAXPullParser.setProperty(java.lang.String, java.lang.Object)`

### getDeclHandler

    protected DeclHandler getDeclHandler()
                                  throws SAXNotRecognizedException,
                                         SAXNotSupportedException

  Deprecated.
  Returns the DTD declaration event handler.

  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`
  See Also:
    `AbstractSAXPullParser.setDeclHandler(org.xml.sax.ext.DeclHandler)`

### setLexicalHandler

    protected void setLexicalHandler(LexicalHandler handler)
                              throws SAXNotRecognizedException,
                                     SAXNotSupportedException

  Deprecated.
  Set the lexical event handler.

  This method is the equivalent to the property:

       http://xml.org/sax/properties/lexical-handler

  Parameters:
    `handler` - lexical event handler
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`
  See Also:
    `AbstractSAXPullParser.getLexicalHandler()`, `AbstractSAXPullParser.setProperty(java.lang.String, java.lang.Object)`

### getLexicalHandler

    protected LexicalHandler getLexicalHandler()
                                        throws SAXNotRecognizedException,
                                               SAXNotSupportedException

  Deprecated.
  Returns the lexical handler.

  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`
  See Also:
    `AbstractSAXPullParser.setLexicalHandler(org.xml.sax.ext.LexicalHandler)`

### reset

    public void reset()
               throws XNIException

  Deprecated.
  Reset all components before parsing.

  Overrides:
    `reset` in class `AbstractXMLDocumentPullParser`
  Throws:
    `XNIException` - Thrown if an error occurs during initialization.

### getElementPSVI

    public ElementPSVI getElementPSVI()

  Deprecated.
  Specified by:
    `getElementPSVI` in interface `weblogic.apache.xerces.impl.xs.psvi.PSVIProvider`

### getAttributePSVI

    public AttributePSVI getAttributePSVI(int index)

  Deprecated.
  Specified by:
    `getAttributePSVI` in interface `weblogic.apache.xerces.impl.xs.psvi.PSVIProvider`

### getAttributePSVIByName

    public AttributePSVI getAttributePSVIByName(String uri,
                                                String localname)

  Deprecated.
  Specified by:
    `getAttributePSVIByName` in interface `weblogic.apache.xerces.impl.xs.psvi.PSVIProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD